Hardware Software Requirements

Hardware Software Requirements

 

You must have an active broadband (high speed) account with an Internet Service Provider (ISP) before
starting the program. 

 

Most all personal computers and operating systems are supported, including mobile devices.  Standard browsers are supported (i.e.: Internet Explorer, FireFox, Safari, Chrome) however Internet Explorer is not supported for Moodle courses.

 

 

Suggested: Check with course instructors for specific software requirements, particularly for AOP and CIS courses. However for most courses Microsoft Office 2010 or Microsoft Office 2011:Mac Edition is suggested.  If you use other "office" type programs, please note that some professors may require you to convert your files to a MS-Office compatible format, Rich Text Format (.RTF) or PDF for online submission.

 

What if I have trouble with the technology? How do I get assistance?
Technical Assistance